Multimedia overhaul

I earlier stated that I planned to improve support for audio/video in the next Quirky (1.2).

I compiled all of these new/upgrade packages for ffmpeg:

libraw1394 2.0.2
libdc1394 2.1.2 (access 1394 digital cameras)
lame 3.98.4
faac 1.28
faad2 2.7
libtheora 1.1.1
x264 20100511
xvidcore 1.2.2
orc 0.4.4 (needed by schroedinger)
schroedinger 1.0.9 (dirac codec)

Then compiled ffmpeg 2010-05-12.
I then compiled mplayer 2010-05-20, without a GUI.

Testing looks good so far.


Posted on 21 May 2010, 20:22


Comments:

Posted on 21 May 2010, 24:22 by BarryK
VLC player
I compiled VLC 1.0.6, with Qt4 GUI. I am disappointed -- this is the first time that I have used it, and was expecting a very polished product.

However, I was surprised that it did not display the menu of a DVD, just immediately launched the main feature. There does not seem to be any capability to display the menu.
I expect a DVD to work like it does in a DVD player -- Gxine and Gnome-Mplayer can display DVD menus ok.

I tried three different RealMedia video files, all of which play with ffplay (a player for ffmpeg) and Mplayer and Gnome-Mplayer. One of them had badly chopped sound, another had no sound and the third caused a segmentation fault.

Not impressed.



Posted on 22 May 2010, 2:04 by dionicio
A vote for Mplayer
Besides Puppy and Quirky my other distro is Debian.
And install it as bare as possible.

In this scenario Mplayer is the less
hog, the more power efficient, the best
quality of sound.


Posted on 22 May 2010, 3:31 by SouthPaws1
Another Choice?
This one seems very capable Barry...

Quoted from wikipedia:
"It is both a plugin for Konqueror, as well as a standalone video player. It is capable of running MPlayer or xine as a backend."


http://en.wikipedia.org/wiki/KMPlayer
http://en.wikipedia.org/wiki/Comparison_of_video_player_software


Posted on 22 May 2010, 7:42 by cthisbear
ISO movies

Just don't stop ISO movie files running BK.

I was surprised that they ran in Quirky 1.1
when I set the run action.Excellent.

Chris.



Posted on 22 May 2010, 8:07 by panzerpuppy
Quirky and WebM format
Will Quirky 1.2 play the new WebM video format by Google that's supposed to replace Flash / H.264 on the web?

YouTube is now converting all videos to WebM / HTML5 format and planning to make it default.

Almost all browsers currently have support for this format: Firefox,Opera,Chrome,SeaMonkey etc.

It would be really nice for Puppy to support playback of this format as well - it's 'the new Flash-free web video standard'



Posted on 22 May 2010, 8:09 by panzerpuppy
WebM
WebM uses the VP8 video codec.



Posted on 22 May 2010, 9:45 by panzerpuppy
ALSA
And how about updating ALSA to 1.0.23 for even better audio compatibility and less bugs with current audio hardware



Posted on 22 May 2010, 15:14 by Dejan
VLC
Hi Barry I'm surprised VLC didn't work for you, I compiled 1.0.5 for dpup without GUI pet is less then 3 MB and still plays just about everything and starts DVD menu although mouse click on items didn't work good. See here http://www.murga-linux.com/puppy/viewtopic.php?p=403312#403312
There's also GTK frontend that sc0tman made for it, not really good replacement for VLC's interfaces but it works and he added a lot of options http://www.murga-linux.com/puppy/viewtopic.php?t=54753

BTW, since this is quirky and you're experimenting with puppy boundaries it would be cool to compile framebuffer module or kernel compiled with builtin framebuffer so you can play videos with mplayer/VLC fb output with no X.


Posted on 22 May 2010, 15:49 by BarryK
WebM, Gnome-mplayer
WebM is still new, not much support yet:
http://www.webmproject.org/users/

I compiled Gnome-mplayer from svn, works good. Strange thing though, I went through my collection of video files, and two of them played very jerky. I found the "Edit -> Preferences -> Mplayer -> Deinterlace video" checkbox was ticked -- I unticked it and the videos played smooth.
So, I have modified the defaults in the PET package.



Posted on 22 May 2010, 16:02 by BarryK
Re VLC DVD menu
I have erased it all now, can't check. Perhaps it needed an external libdvdnav package? This is what is needed to support DVD menu navigation. Mplayer source package has it internally. Maybe I missed a vital configure option?



Posted on 22 May 2010, 17:08 by magerlab
blinky and retrovol background
i use lxpanel and blinky wuth retrovol do not match gtk theme
where are the files that autostart them ?


Posted on 22 May 2010, 17:49 by Dejan
libdvdnav
It might be libdvdnav that it needs for navigation.
Will do ldd on my vlc later


Posted on 22 May 2010, 18:42 by BarryK
Re dvdnav
magerlab,
Look at /usr/sbin/delayedrun

Dejan,
VLC has heaps of plugins doesn't it, so it might be a separate plugin file that handles DVD navigation, so that might have the libdvdnav dependency rather than the main executable.



Posted on 23 May 2010, 5:19 by magerlab
gstreamer in puppy
Barry, thank you for your haelp:)

next thing i want to ask:
will there be gstreamer in puppy?

i read that html5 video and audio will use gstreamer instead of flash player


Posted on 23 May 2010, 7:25 by disciple
dvdnav
I thought VLC used internal dvdnav, but not according to this page http://wiki.videolan.org/Contrib_Status


Posted on 23 May 2010, 8:51 by panzerpuppy
WebM and GStreamer
BarryK wrote: "WebM is still new, not much support yet."

GStreamer supports it quite well. I'd love to see a GStreamer .PET package for Quirky.

All current browsers *need* GStreamer to play WebM / HTML5 / VP8 video. It would be nice to have support in Puppy as well.




Posted on 23 May 2010, 8:22 by panzerpuppy
ffmpeg now has WebM/VP8 support
ffmpeg now supports WebM as well:

http://lardbucket.org/blog/archives/2010/05/19/vp8-webm-and-ffmpeg/




Posted on 23 May 2010, 10:07 by BarryK
Re VLC, ffmpeg
disciple,
Very interesting page! I wish that I had found that before. Yes, it does look like it needs libdvdnav.

panzerpuppy,
This is great stuff! But all so new...

http://lardbucket.org/blog/archives/2010/05/19/vp8-webm-and-ffmpeg/

...rather than go through all the steps described on that page, I might wait until support for WebM becomes official in ffmpeg and mplayer.
Which probably won't be long -- I would very much like this to be in Quirky 1.2.



Posted on 23 May 2010, 21:42 by Alexander Ross (abushcrafter)
Request
Can you face doing a compile of mplayer with support for WebM, theora multi core, ect for 431/432 please?


Posted on 24 May 2010, 6:19 by Bigpup
mplayer GUI
From Mplayer Web site

GUI

MPlayer comes with a GUI that is not built by default. The GUI section of the documentation explains how to enable it. Several external MPlayer frontends provide alternative GUIs.

The GUI needs GTK 1.2.x or GTK 2.0 (it isn't fully GTK, but the panels are), so GTK (and the devel stuff, usually called gtk-dev) has to be installed. You can build it by specifying --enable-gui during ./configure. Then, to turn on GUI mode, you have to execute the gmplayer binary.

As MPlayer doesn't have a skin included, you have to download one if you want to use the GUI. See the download page. It should be extracted to the usual system-wide directory ($PREFIX/share/mplayer/skins), or to $HOME/.mplayer/skins. MPlayer by default looks in these directories for a directory named default, but you can use the -skin newskin option, or the skin=newskin config file directive to use the skin in the */skins/newskin directory.

Web site:
http://www.mplayerhq.hu/design7/info.html


Posted on 24 May 2010, 16:45 by BarryK
Re Mplayer GUI
Bigpup,
We have a very long history of using the Mplayer GUI. There were even one or two official releases of Puppy that had it.



Posted on 24 May 2010, 18:07 by Alexander Ross (abushcrafter)
Re Mplayer GUI
I prefer the Gnome Mplayer GUI


Posted on 21 Jun 2010, 21:53 by kdekorte
WEBM in mplayer
To enable webm support in mplayer, you need libvpx from its git repository (0.9.1 aka master or higher I believe) and mplayer from SVN. I tried it out with gnome-mplayer the other day and it worked well. I even added webm mimetypes to the gnome-mplayer code.


Posted on 22 Jun 2010, 8:22 by BarryK
Re webM in mplayer
Yes, I have done it, see my later blog postings. I compiled latest ffmpeg and mplayer with libvpx.

Ah, that's great that you have added mime-types to Gnome-mplayer, that was the next thing I was going to look at today.